Wallet
How to use Wallet to submit a payout in Indonesia.
Payout by Wallet
POST https://sandbox.transfersmile.com/api/payout
This endpoint allows you to submit a payout by Wallet in Indonesia.
For Wallet payouts, use WALLET as the payout method and specify the wallet type through the channel parameter.
Supported Wallet Channels
method*
string
Fixed value: WALLET
channel*
string
Wallet type
- DANA, Gopay, Shopeepay, OVO or LinkAja -
arrival_currency*
string
Fixed value: IDR
Request Body
amount
string
Yes
Integer only
DANA: 20000 - 999999999
Gopay/Shopeepay/OVO/LinkAja: 10000 - 999999999
Payout amount.
source_currency
string
Yes
One of: USD, EUR, GBP, IDR
Source currency.
arrival_currency
string
Yes
Fixed value: IDR
Arrival currency.
fee_bear
string
Yes
One of: merchant, beneficiary
Specifies who bears the processing fee.
name
string
Yes
-
Beneficiary's name.
custom_code
string
Yes
Max length: 40 characters; must be unique
The merchant-side payout order ID.
notify_url
string
Yes
Valid URL
The URL used to receive asynchronous payout notifications.
account_type
string
Yes
Fixed value: PHONE
Account type.
account
string
Yes
Max length: 15 characters
Beneficiary's wallet account. Use the phone number registered with the wallet.
country
string
Yes
Fixed value: IDN
Beneficiary country.
method
string
Yes
Fixed value: WALLET
Payout method.
channel
string
Yes
One of: DANA, Gopay, Shopeepay, OVO, LinkAja
Wallet channel.
additional_remark
string
Yes
Max length: 200 characters
Additional payout remark.
Request Sample
Response
Last updated
Was this helpful?